Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.usermodel
Class IndexedColors

    java.lang.Object
      org.apache.poi.ss.usermodel.IndexedColors

    public class IndexedColors

extends java.lang.Object

A deprecated indexing scheme for colours that is still required for some records, and for backwards compatibility with OLE2 formats.

Each element corresponds to a color index (zero-based). When using the default indexed color palette, the values are not written out, but instead are implied. When the color palette has been modified from default, then the entire color palette is used.

Author:
  Yegor Kozlov

Field Summary
`static IndexedColors` | `AQUA`
`static IndexedColors` | `AUTOMATIC`
`static IndexedColors` | `BLACK`
`static IndexedColors` | `BLUE`
`static IndexedColors` | `BLUE_GREY`
`static IndexedColors` | `BRIGHT_GREEN`
`static IndexedColors` | `BROWN`
`static IndexedColors` | `CORAL`
`static IndexedColors` | `CORNFLOWER_BLUE`
`static IndexedColors` | `DARK_BLUE`
`static IndexedColors` | `DARK_GREEN`
`static IndexedColors` | `DARK_RED`
`static IndexedColors` | `DARK_TEAL`
`static IndexedColors` | `DARK_YELLOW`
`static IndexedColors` | `GOLD`
`static IndexedColors` | `GREEN`
`static IndexedColors` | `GREY_25_PERCENT`
`static IndexedColors` | `GREY_40_PERCENT`
`static IndexedColors` | `GREY_50_PERCENT`
`static IndexedColors` | `GREY_80_PERCENT`
`short` | `index`
`static IndexedColors` | `INDIGO`
`static IndexedColors` | `LAVENDER`
`static IndexedColors` | `LEMON_CHIFFON`
`static IndexedColors` | `LIGHT_BLUE`
`static IndexedColors` | `LIGHT_CORNFLOWER_BLUE`
`static IndexedColors` | `LIGHT_GREEN`
`static IndexedColors` | `LIGHT_ORANGE`
`static IndexedColors` | `LIGHT_TURQUOISE`
`static IndexedColors` | `LIGHT_YELLOW`
`static IndexedColors` | `LIME`
`static IndexedColors` | `MAROON`
`static IndexedColors` | `OLIVE_GREEN`
`static IndexedColors` | `ORANGE`
`static IndexedColors` | `ORCHID`
`static IndexedColors` | `PALE_BLUE`
`static IndexedColors` | `PINK`
`static IndexedColors` | `PLUM`
`static IndexedColors` | `RED`
`static IndexedColors` | `ROSE`
`static IndexedColors` | `ROYAL_BLUE`
`static IndexedColors` | `SEA_GREEN`
`static IndexedColors` | `SKY_BLUE`
`static IndexedColors` | `TAN`
`static IndexedColors` | `TEAL`
`static IndexedColors` | `TURQUOISE`
`static IndexedColors` | `VIOLET`
`static IndexedColors` | `WHITE`
`static IndexedColors` | `YELLOW`

Method Summary
`short` | `getIndex()` Returns index of this color

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BLACK

    public static final IndexedColors BLACK

### WHITE

    public static final IndexedColors WHITE

### RED

    public static final IndexedColors RED

### BRIGHT_GREEN

    public static final IndexedColors BRIGHT_GREEN

### BLUE

    public static final IndexedColors BLUE

### YELLOW

    public static final IndexedColors YELLOW

### PINK

    public static final IndexedColors PINK

### TURQUOISE

    public static final IndexedColors TURQUOISE

### DARK_RED

    public static final IndexedColors DARK_RED

### GREEN

    public static final IndexedColors GREEN

### DARK_BLUE

    public static final IndexedColors DARK_BLUE

### DARK_YELLOW

    public static final IndexedColors DARK_YELLOW

### VIOLET

    public static final IndexedColors VIOLET

### TEAL

    public static final IndexedColors TEAL

### GREY_25_PERCENT

    public static final IndexedColors GREY_25_PERCENT

### GREY_50_PERCENT

    public static final IndexedColors GREY_50_PERCENT

### CORNFLOWER_BLUE

    public static final IndexedColors CORNFLOWER_BLUE

### MAROON

    public static final IndexedColors MAROON

### LEMON_CHIFFON

    public static final IndexedColors LEMON_CHIFFON

### ORCHID

    public static final IndexedColors ORCHID

### CORAL

    public static final IndexedColors CORAL

### ROYAL_BLUE

    public static final IndexedColors ROYAL_BLUE

### LIGHT_CORNFLOWER_BLUE

    public static final IndexedColors LIGHT_CORNFLOWER_BLUE

### SKY_BLUE

    public static final IndexedColors SKY_BLUE

### LIGHT_TURQUOISE

    public static final IndexedColors LIGHT_TURQUOISE

### LIGHT_GREEN

    public static final IndexedColors LIGHT_GREEN

### LIGHT_YELLOW

    public static final IndexedColors LIGHT_YELLOW

### PALE_BLUE

    public static final IndexedColors PALE_BLUE

### ROSE

    public static final IndexedColors ROSE

### LAVENDER

    public static final IndexedColors LAVENDER

### TAN

    public static final IndexedColors TAN

### LIGHT_BLUE

    public static final IndexedColors LIGHT_BLUE

### AQUA

    public static final IndexedColors AQUA

### LIME

    public static final IndexedColors LIME

### GOLD

    public static final IndexedColors GOLD

### LIGHT_ORANGE

    public static final IndexedColors LIGHT_ORANGE

### ORANGE

    public static final IndexedColors ORANGE

### BLUE_GREY

    public static final IndexedColors BLUE_GREY

### GREY_40_PERCENT

    public static final IndexedColors GREY_40_PERCENT

### DARK_TEAL

    public static final IndexedColors DARK_TEAL

### SEA_GREEN

    public static final IndexedColors SEA_GREEN

### DARK_GREEN

    public static final IndexedColors DARK_GREEN

### OLIVE_GREEN

    public static final IndexedColors OLIVE_GREEN

### BROWN

    public static final IndexedColors BROWN

### PLUM

    public static final IndexedColors PLUM

### INDIGO

    public static final IndexedColors INDIGO

### GREY_80_PERCENT

    public static final IndexedColors GREY_80_PERCENT

### AUTOMATIC

    public static final IndexedColors AUTOMATIC

### index

    public final short index

Method Detail

### getIndex

    public short getIndex()

  Returns index of this color

  Returns:
    index of this color

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD